//: C11:Start.h
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
// Ukázka rozhraní Runnable.
#ifndef LIFTOFF_H
#define LIFTOFF_H
#include <iostream>
#include "zthread/Runnable.h"

class Start : public ZThread::Runnable {
  int odpocet;
  int id;
public:
  Start(int pocet, int ident = 0) :
    odpocet(pocet), id(ident) {}
  ~Start() {
    std::cout << id << " dokonceno" << std::endl;
  }
  void run() {
    while(odpocet--)
      std::cout << id << ":" << odpocet << std::endl;
    std::cout << "Start!" << std::endl;
  }
};
#endif // LIFTOFF_H ///:~
